#!/bin/bash

# Exit on error
set -e

# The configuration file is the first and only parameter, whereas the other
# options are given in the environment. 
CONFIG_FILE=${1:-application.properties}
CPR_FILE=${PERF_CPR_FILE:-cpr.txt}
MAIN_CLASS=${PERF_MAIN_CLASS:-dk.nsp.cbs.perf.runner.TestDriver}
JAR_FILE=${PERF_JAR_FILE:-testdriver.jar}

echo -ne "Setup:\n  Config file = $CONFIG_FILE\n  Main class  = $MAIN_CLASS\n  Jar file    = $JAR_FILE\n\n"

# This outputs a file per line in hosts.txt
echo "Generating node cpr files..."
java -cp $JAR_FILE dk.nsp.cbs.perf.runner.Splitter $CPR_FILE hosts.txt
echo "Done."

for host in `cat hosts.txt`
do
  echo "HOST: $host"
  echo "Copy CPR numbers, configuration and jar files to $host:"
  echo scp -v ${host}-cpr.txt ${host}:cpr.txt
  echo scp -v $CONFIG_FILE ${host}:application.properties
  echo scp -v $JAR_FILE ${host}:
  echo ssh $host "nohup java -Dperf.env=. -cp $JAR_FILE $MAIN_CLASS > startup.log 2>&1 &"
  echo
done

# vi: tw=0
