/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2018 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsp.cbs.perf.nas;

public class Subscription {

	private final long id;

	private final String topic;

	private final String pullpointId;

	private final String subscriptionId;

	public Subscription(long id, String topic, String pullpointId, String subscriptionId) {
		this.id = id;
		this.topic = topic;
		this.pullpointId = pullpointId;
		this.subscriptionId = subscriptionId;
	}

	public long getId() {
		return id;
	}

	public String getTopic() {
		return topic;
	}

	public String getPullpointId() {
		return pullpointId;
	}

	public String getSubscriptionId() {
		return subscriptionId;
	}

	public boolean isReady() {
		return pullpointId != null && subscriptionId != null;
	}

	@Override
	public String toString() {
		return "Subscription{" +
			"id=" + id +
			", topic='" + topic + '\'' +
			", pullpointId='" + pullpointId + '\'' +
			", subscriptionId='" + subscriptionId + '\'' +
			'}';
	}
}

