package dk.nsp.cbs.perf.stub;

import java.util.Random;
import java.util.UUID;

import dk.nsp.cbs.perf.service.CbsClient;

public class CbsServer {
  private final DataCache dataCache;
  private final JobPlacementService jobPlacementService;

  public CbsServer(DataCache dataCache, JobPlacementService jobPlacementService) {
    this.dataCache = dataCache;
    this.jobPlacementService = jobPlacementService;
  }

  public CbsClient.CbsResponse call(String cpr) {
    if (dataCache.get(cpr) != null) {
      return () -> true;
    } else {
      final String jobId = jobPlacementService.createJob(cpr);
      return new CbsClient.CbsResponse() {
        @Override
        public boolean isHit() {
          return false;
        }

        @Override
        public String getJobId() {
          return jobId;
        }
      };
    }
  }
}
