package dk.nsp.cbs.perf.stub;

import java.time.Instant;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author jns, Arosii Information Systems A/S
 */
public class DataCache {

  private static class Element {
    private final Instant finished;
    private final String cpr;

    public Element(Instant finished, String cpr) {
      this.finished = finished;
      this.cpr = cpr;
    }

    public Instant getFinished() {
      return finished;
    }

    public String getCpr() {
      return cpr;
    }
  }

  private final ConcurrentHashMap<String, Element> elements = new ConcurrentHashMap<>();

  public Object get(String cpr) {
    final Instant now = Instant.now();
    final Element e = elements.get(cpr);
    if (e != null && e.getFinished().isBefore(now)) {
      return new Object();
    } else
      return null;
  }

  public void put(Instant instant, String cpr) {
    elements.put(cpr, new Element(instant, cpr));
  };
}